#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");
KSYMTAB_FUNC(hid_pidff_init_with_quirks, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x5a4042dc, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0xee870c38, "_gpl");
SYMBOL_CRC(hid_pidff_init_with_quirks, 0x44a086a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e1b6563, "usb_submit_urb" },
	{ 0x466add5e, "_dev_info" },
	{ 0x53cb2bfa, "usb_queue_reset_device" },
	{ 0x596b4336, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa5f17e65, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xfe5eb87a, "usb_free_coherent" },
	{ 0x1d3598d5, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe9686bd4, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xc8740b8f, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa3d8b2fb, "hid_hw_open" },
	{ 0xc8b6b355, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8dd136b9, "usb_register_dev" },
	{ 0x45c9e46d, "hid_check_keys_pressed" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x2d53f0ee, "fasync_helper" },
	{ 0x27ae19b1, "usb_unpoison_urb" },
	{ 0xdb3c79f9, "usb_autopm_put_interface_async" },
	{ 0xe6262c1a, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x51dd82a7, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x172da82f, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x9ad44ea1, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8feb954c, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7b57e43e, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb31a2340, "usb_unlink_urb" },
	{ 0xaacb9b21, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1f8b681, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x87e4fe9e, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x96266f92, "usb_deregister_dev" },
	{ 0x82bb6cd3, "usb_kill_urb" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xbda35431, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa8b4ca32, "__dev_fwnode" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x8115ee52, "hid_add_device" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1243b827, "hid_output_report" },
	{ 0xb93e3141, "hid_lookup_quirk" },
	{ 0x528a16b8, "usb_alloc_urb" },
	{ 0x47a01bd0, "device_set_wakeup_enable" },
	{ 0xb7f47f31, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae2486a4, "usb_free_urb" },
	{ 0x05e6d38f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9700ae75, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x07974567, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdc88fa3e, "kill_fasync" },
	{ 0xb0a3a944, "usb_register_driver" },
	{ 0xcf3db938, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xe7273df0, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcc0ea0f5, "hidinput_count_leds" },
	{ 0x7eda3d5f, "usb_autopm_put_interface_no_suspend" },
	{ 0x7936d519, "hid_driver_resume" },
	{ 0x3f757993, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca755b2d, "hid_allocate_device" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xabe8eef3, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc0f7085, "usb_interrupt_msg" },
	{ 0x1c4ce6e1, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0efa1c49, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3fc24c19, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8beda5fe, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x778e805c, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "76529093528919B0D7861BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
