#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x815ff3d9, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xd470aab1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5d13e08, "bio_chain" },
	{ 0x6b2ea729, "__blk_trace_note_message" },
	{ 0x35ca1048, "blkdev_issue_zeroout" },
	{ 0x1843f322, "__cpuhp_state_add_instance" },
	{ 0x5b5d61bc, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc59016b0, "async_raid6_2data_recov" },
	{ 0xef57318d, "bio_add_page" },
	{ 0xdce8a336, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x24f55da7, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xda77e198, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xb3f61641, "md_flush_request" },
	{ 0xc2789100, "bio_init" },
	{ 0x0f9862d5, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x6facd376, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b5b0f91, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x307a6c1a, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfd30a3c9, "__kmem_cache_create_args" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54b5d7ca, "md_write_inc" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x5ea43034, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x719435af, "param_ops_bool" },
	{ 0x72b971e6, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x1f338651, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0x35c552ce, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x0acf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe97342ac, "seq_printf" },
	{ 0x344566b4, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xca943259, "md_check_recovery" },
	{ 0xef331422, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb716b5fc, "alloc_pages_noprof" },
	{ 0xc8738c80, "blkdev_issue_flush" },
	{ 0xb213746b, "mddev_suspend" },
	{ 0xb22cecb6, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x913d10bd, "unregister_md_submodule" },
	{ 0x000e3dcf, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1bd0d71a, "md_init_stacking_limits" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6d4fffb9, "queue_limits_set" },
	{ 0xfd89b117, "rdev_set_badblocks" },
	{ 0x9b2ee318, "bio_alloc_bioset" },
	{ 0x02a7c9a7, "__kvmalloc_node_noprof" },
	{ 0x4fbbb5f4, "async_raid6_datap_recov" },
	{ 0x38ef5c60, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x642fb018, "kmem_cache_destroy" },
	{ 0xe41eb51f, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfd563f97, "blkdev_issue_discard" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xcf0b61ed, "set_disk_ro" },
	{ 0x0183bf72, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x12428acb, "__bio_add_page" },
	{ 0x32e87d3b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0ca9d37, "md_find_rdev_rcu" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xf6083594, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6acadeeb, "queue_limits_stack_bdev" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x27e2c278, "md_error" },
	{ 0x3ab229c7, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x855171f2, "md_finish_reshape" },
	{ 0x44151573, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x01c9e29d, "md_unregister_thread" },
	{ 0xea43c353, "sync_page_io" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xd9541fb7, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd30122c0, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x342f8dde, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c1e2c02, "register_md_submodule" },
	{ 0x3e770433, "shrinker_free" },
	{ 0x3ebf9fd4, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x91cb51da, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x46ae5aa4, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xcd5db90a, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6957df6f, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xd5c1c30c, "async_tx_quiesce" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x13fae387, "md_write_start" },
	{ 0x0ddb1cd7, "llist_reverse_order" },
	{ 0x32b57a12, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x39da6341, "numa_node" },
	{ 0xe04c59a7, "async_xor" },
	{ 0x1a494a51, "__free_pages" },
	{ 0x4e91e9a4, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x51d914e8, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xccba43e7, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1309740a, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x24667fae, "kthread_unpark" },
	{ 0x200c236d, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x396fb708, "md_done_sync" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x6bb8af47, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x109fdb23, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xa5662727, "md_wait_for_blocked_rdev" },
	{ 0x3aa0b58d, "__SCK__tp_func_block_bio_remap" },
	{ 0xf22250d0, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x658bfb1f, "async_memcpy" },
	{ 0xe20ef767, "mddev_update_io_opt" },
	{ 0xc6422b19, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6c68a14b, "mddev_stack_rdev_limits" },
	{ 0x351c64b9, "kmem_cache_free" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x11c90127, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x55bfa64a, "__tracepoint_block_unplug" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "66DCD20064E62D042350F3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
