#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x559f9cff, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xf6bf8c35, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x07c4d5b3, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xa339bf88, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x10a0f139, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x993cddf4, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x7da62dfd, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x1e9a7499, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xd1bb0bf5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26851c48, "can_free_echo_skb" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabc14075, "unregister_candev" },
	{ 0x008e1ed9, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x668e5b27, "devm_clk_get" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xbb440b19, "netif_tx_wake_queue" },
	{ 0xc270a37c, "netif_schedule_queue" },
	{ 0x96cdd625, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3e5b69c8, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd797ec50, "hrtimer_try_to_cancel" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0xe2a6c319, "sk_skb_reason_drop" },
	{ 0xa7508a5a, "can_dropped_invalid_skb" },
	{ 0x0e46aec3, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf066a374, "netdev_printk" },
	{ 0xfdc71297, "__pm_runtime_idle" },
	{ 0x36138705, "__pm_runtime_resume" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x3747ad58, "netdev_warn" },
	{ 0x0ae8f116, "phy_power_on" },
	{ 0x71d35c73, "open_candev" },
	{ 0xe3db0a0a, "napi_enable" },
	{ 0xf099f520, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7670fdc4, "napi_disable" },
	{ 0x28b55b57, "close_candev" },
	{ 0x9d112806, "phy_power_off" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x76b2da0f, "pinctrl_pm_select_default_state" },
	{ 0x0f1ba4ea, "netif_device_attach" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x52a1300b, "register_candev" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x619db009, "can_rx_offload_add_manual" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x97f6e673, "netif_napi_add_weight_locked" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x466add5e, "_dev_info" },
	{ 0xf2f3dac5, "pinctrl_pm_select_sleep_state" },
	{ 0x08ec0a9f, "netif_device_detach" },
	{ 0x15a4fc74, "alloc_can_err_skb" },
	{ 0xdd482ecb, "can_rx_offload_queue_timestamp" },
	{ 0xd2579ffa, "netif_receive_skb" },
	{ 0x68374fd6, "__dynamic_netdev_dbg" },
	{ 0x3b94ef3f, "can_bus_off" },
	{ 0x3590b455, "alloc_canfd_skb" },
	{ 0x38c73703, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xe52bcc2c, "napi_complete_done" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0xb0eebacd, "napi_schedule_prep" },
	{ 0x898d708c, "can_rx_offload_threaded_irq_finish" },
	{ 0xa3b84c9d, "__napi_schedule" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0xc64aed82, "ethtool_op_get_ts_info" },
	{ 0x1b763fa2, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xa8b4ca32, "__dev_fwnode" },
	{ 0x506ac95a, "fwnode_property_read_u32_array" },
	{ 0xb3641461, "alloc_candev_mqs" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xf0a8db5e, "free_candev" },
	{ 0x86b37de2, "netdev_err" },
	{ 0xddecd5dc, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x0d295a99, "can_get_echo_skb" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "7190975B3BDF05B2067D418");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
