#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");
KSYMTAB_FUNC(ice_alloc_rdma_qvector, "_gpl", "");
KSYMTAB_FUNC(ice_free_rdma_qvector, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xa187e1b8, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x208efd07, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x9643981e, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xe2d43cc9, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x20114591, "_gpl");
SYMBOL_CRC(ice_alloc_rdma_qvector, 0x1565d0ad, "_gpl");
SYMBOL_CRC(ice_free_rdma_qvector, 0x7969b17e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5bf995a6, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x16fcb80b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcc9ff729, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x200ead08, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe6864f84, "netif_tx_stop_all_queues" },
	{ 0xb60f7681, "pci_restore_state" },
	{ 0xd72a197d, "bpf_trace_run1" },
	{ 0xbb440b19, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7d897919, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x036ad1fa, "dcb_getapp" },
	{ 0x2b30922d, "dmam_free_coherent" },
	{ 0xbd9147fa, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0xf1512c5b, "flow_rule_match_ports" },
	{ 0x03f1c7b0, "gnss_allocate_device" },
	{ 0x8b8fabc6, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe6d994c7, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc270a37c, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xfb065eae, "pci_set_master" },
	{ 0x8d37f711, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x1760a37f, "flow_rule_match_ipv6_addrs" },
	{ 0xd2d9a0b5, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf05cde0, "devl_params_unregister" },
	{ 0xff292d12, "ptp_clock_unregister" },
	{ 0x40f7d7ce, "__pskb_pull_tail" },
	{ 0x9b916d80, "xp_dma_unmap" },
	{ 0xc945d70e, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4be07152, "kthread_create_worker_on_node" },
	{ 0x977621ca, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x022b442a, "devl_unlock" },
	{ 0x15b90a36, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x68374fd6, "__dynamic_netdev_dbg" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb3f76f9, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x8dc25982, "flow_rule_match_pppoe" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0x0ce10e7e, "flow_rule_match_enc_control" },
	{ 0x4ba4f5a9, "bpf_trace_run3" },
	{ 0x7afca555, "seq_read" },
	{ 0x42ead16d, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x4a737c25, "gnss_deregister_device" },
	{ 0x3f98d280, "rps_may_expire_flow" },
	{ 0x56309d13, "metadata_dst_free" },
	{ 0x5ed7f2e0, "xsk_set_tx_need_wakeup" },
	{ 0xaca4eaa9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc192907d, "netdev_reset_tc" },
	{ 0x172c9766, "gro_receive_skb" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xf5f8aff5, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0xa29aedad, "kthread_destroy_worker" },
	{ 0xba2a278c, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8ca4dbe1, "flow_rule_match_enc_ports" },
	{ 0xd95464a6, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf1e8d067, "dpll_netdev_pin_clear" },
	{ 0x5a056893, "netif_queue_set_napi" },
	{ 0xdb440eb8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x471722de, "call_netdevice_notifiers" },
	{ 0x00aa1603, "xa_find" },
	{ 0x95d8b451, "devl_assert_locked" },
	{ 0xa08d5b6b, "pcie_print_link_status" },
	{ 0x15ca8730, "xp_set_rxq_info" },
	{ 0x6d301280, "flow_rule_match_vlan" },
	{ 0x67946e58, "devl_port_unregister" },
	{ 0xcabe9aeb, "xdp_rxq_info_unreg" },
	{ 0x18b6839f, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x344a4d22, "devl_param_driverinit_value_get" },
	{ 0x3491dd71, "napi_build_skb" },
	{ 0xf7073184, "netdev_master_upper_dev_get_rcu" },
	{ 0x3a4bcfe6, "__xdp_rxq_info_reg" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xc88a6d07, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2fc47853, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe97342ac, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x0fe3660c, "dpll_pin_register" },
	{ 0x669a0648, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfefa87ed, "devlink_priv" },
	{ 0x8f019dfa, "pci_enable_ptm" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xb51ca9ae, "__hw_addr_sync_dev" },
	{ 0x0bf99c0f, "pci_disable_sriov" },
	{ 0x90be3cf7, "pldmfw_flash_image" },
	{ 0x6a99c38f, "kthread_queue_delayed_work" },
	{ 0x64c033e0, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xcc18f9dc, "dst_release" },
	{ 0x5dfad568, "netif_carrier_on" },
	{ 0x46549797, "netdev_set_num_tc" },
	{ 0x2e225b24, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x9b56e3c5, "hwmon_device_unregister" },
	{ 0xa13c1777, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x814040fa, "dev_uc_add_excl" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x0096263d, "xp_free" },
	{ 0x99335c91, "dev_mc_add_excl" },
	{ 0xb743ecd2, "gnss_put_device" },
	{ 0x76de65b9, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x307960c7, "dma_set_mask" },
	{ 0x6de830fc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0xd2f418c7, "netif_set_tso_max_size" },
	{ 0xc4ee6713, "__skb_flow_dissect" },
	{ 0x2713f62f, "vlan_dev_vlan_id" },
	{ 0xd8923e53, "pci_msix_alloc_irq_at" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x353c9b06, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x13e070cd, "pcim_iomap_table" },
	{ 0x3f5e2369, "xdp_master_redirect" },
	{ 0x49629394, "__devm_add_action" },
	{ 0x194aebe2, "dpll_pin_on_pin_register" },
	{ 0xb0eebacd, "napi_schedule_prep" },
	{ 0x7a49936c, "napi_consume_skb" },
	{ 0x94ec8d07, "pci_read_config_byte" },
	{ 0xb273c4bb, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x7670fdc4, "napi_disable" },
	{ 0xb45ebf05, "dev_kfree_skb_any_reason" },
	{ 0xf3a02b24, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x2a457d55, "param_ops_int" },
	{ 0x9b7369be, "netif_enable_cpu_rmap" },
	{ 0xac034c06, "pcie_ptm_enabled" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xafb3e1f7, "single_open" },
	{ 0x032ac7c9, "pcim_enable_device" },
	{ 0x35210cb0, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x0d9ea021, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4fcc60fd, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd15fb4d7, "flow_rule_match_control" },
	{ 0x6b0889ef, "flow_rule_match_ip" },
	{ 0xf94ea59e, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x111ffeb4, "dpll_device_get" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xfaed3294, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8112668e, "netif_napi_set_irq_locked" },
	{ 0xc64aed82, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2fcd2b0a, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa7ed79e0, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x93832f6e, "__tracepoint_xdp_exception" },
	{ 0xcf6d6e30, "xsk_tx_completed" },
	{ 0x884f5ea0, "napi_alloc_skb" },
	{ 0x8550f946, "alloc_etherdev_mqs" },
	{ 0x1180af3b, "netdev_lower_get_next" },
	{ 0x3ff96651, "flow_block_cb_lookup" },
	{ 0xdfbde9f4, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3f51acb2, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x47a01bd0, "device_set_wakeup_enable" },
	{ 0x1cb03316, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5dfad3c5, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc86d4f07, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xece44f59, "pci_find_ext_capability" },
	{ 0xfbd82a33, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcd3cf8b6, "devl_region_create" },
	{ 0xd5329df1, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x16debfec, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x42042c71, "devm_request_threaded_irq" },
	{ 0x52f51cc4, "kthread_cancel_delayed_work_sync" },
	{ 0xd1aaf31b, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x6ecad0b3, "pci_wake_from_d3" },
	{ 0x99e9f0f1, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x759483ca, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0xf06444c4, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x57f6ac73, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x94dd5c40, "ethtool_forced_speed_maps_init" },
	{ 0xcaf91254, "auxiliary_device_init" },
	{ 0xe4fac662, "pci_enable_device_mem" },
	{ 0xcf24f0f4, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x748dc0e7, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x60819c3c, "pci_alloc_irq_vectors" },
	{ 0xf9f259fa, "flow_rule_match_l2tpv3" },
	{ 0x75b602f2, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca0fe6df, "xsk_tx_peek_release_desc_batch" },
	{ 0xcb42eff9, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8e993937, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x8f876724, "trace_raw_output_prep" },
	{ 0x73530bf6, "devl_lock" },
	{ 0x93e00754, "pci_dev_put" },
	{ 0x168afe84, "xp_fill_cb" },
	{ 0x7acdccf1, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbfffc438, "ndo_dflt_bridge_getlink" },
	{ 0x9dcbf8b7, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5f176f38, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x4fc78734, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xff5f0600, "xdp_features_set_redirect_target" },
	{ 0x211eb3b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x195e5313, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x48d1c729, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7861927c, "request_firmware" },
	{ 0xaf92e495, "trace_event_printf" },
	{ 0xee5f3252, "dev_uc_del" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x0e84c53c, "flow_rule_match_cvlan" },
	{ 0x1057a279, "bsearch" },
	{ 0x5d552f1e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xab9a846c, "gnss_insert_raw" },
	{ 0xf153ebd5, "pci_num_vf" },
	{ 0xeb5c0278, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xd60fd619, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb556941, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa93b7501, "trace_event_raw_init" },
	{ 0x6ecacd03, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc19ee2c0, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0x81992ea5, "devlink_alloc_ns" },
	{ 0x4339b773, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x311cff26, "xdp_do_redirect" },
	{ 0xceb2d05c, "devlink_free" },
	{ 0x1dd07643, "eth_validate_addr" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x97f6e673, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1f4d539, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfdc70c24, "devl_rate_node_create" },
	{ 0x3747ad58, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xd51db461, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0f83e90f, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1958225d, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4ea7122e, "pci_irq_vector" },
	{ 0xe20f15eb, "flow_rule_match_ipv4_addrs" },
	{ 0x76812854, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0d7cabae, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcd5466b1, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x86b37de2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5db61537, "pskb_expand_head" },
	{ 0xdae66e56, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xb6727678, "wake_up_process" },
	{ 0x7d97d188, "devlink_flash_update_status_notify" },
	{ 0x0c303919, "dev_driver_string" },
	{ 0x663fd39c, "pci_restore_msi_state" },
	{ 0xef8c5482, "trace_event_buffer_commit" },
	{ 0x2522c0c9, "xdp_return_buff" },
	{ 0x1124255c, "dev_addr_mod" },
	{ 0x9336c681, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf9bf0cde, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb258dd90, "auxiliary_driver_unregister" },
	{ 0x5a90f58d, "dma_map_page_attrs" },
	{ 0xe52bcc2c, "napi_complete_done" },
	{ 0x2152b7ca, "switchdev_handle_port_obj_del" },
	{ 0x21c9f2cd, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc0cbae68, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2722ae21, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x70f74082, "skb_checksum_help" },
	{ 0x8beda5fe, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28dfe74c, "put_device" },
	{ 0x9019789a, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xa3b84c9d, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa3a69271, "ipv6_skip_exthdr" },
	{ 0x019cba8e, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xc40d2be2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x08ec0a9f, "netif_device_detach" },
	{ 0x39da6341, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a494a51, "__free_pages" },
	{ 0x57cfa41e, "__hw_addr_unsync_dev" },
	{ 0x466add5e, "_dev_info" },
	{ 0x0f1ba4ea, "netif_device_attach" },
	{ 0xbe092cce, "xdp_features_clear_redirect_target" },
	{ 0xb21fa46a, "netdev_pick_tx" },
	{ 0x17bb6f1a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x68634458, "xp_raw_get_dma" },
	{ 0x3682407d, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc6c70aec, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x678bcdea, "xdp_rxq_info_is_reg" },
	{ 0xd2ed2ee6, "flow_rule_match_enc_opts" },
	{ 0xb870c4b4, "devl_health_reporter_create" },
	{ 0x7c4caf7b, "flow_block_cb_setup_simple" },
	{ 0xa4c36c34, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf05ec724, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x0111f7d6, "dev_open" },
	{ 0xa48283ce, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc1fda6c2, "vlan_dev_real_dev" },
	{ 0x66542791, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdbcba13a, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4a2bcb09, "devm_kmemdup" },
	{ 0x0cd7b682, "pci_msix_free_irq" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe4255831, "perf_trace_run_bpf_submit" },
	{ 0x0c52619f, "devlink_flash_update_timeout_notify" },
	{ 0x451b7497, "devm_kfree" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xd70004d3, "init_net" },
	{ 0x0e46aec3, "softnet_data" },
	{ 0x60a851be, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x244d0d0d, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x17331c5e, "ptp_clock_register" },
	{ 0x3e4bdd15, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x19d91937, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2d4cf9f, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xdc7813f5, "__auxiliary_device_add" },
	{ 0xca2d0dc6, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x769b1f87, "netif_set_affinity_auto" },
	{ 0x50797083, "netif_set_real_num_rx_queues" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x759c2468, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x81bccabe, "devl_port_register_with_ops" },
	{ 0xe25478f5, "devlink_fmsg_dump_skb" },
	{ 0xe48de479, "pci_wait_for_pending_transaction" },
	{ 0x8997520c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf6f8f041, "pci_device_is_present" },
	{ 0xb92e7969, "debugfs_remove" },
	{ 0x530612ed, "pci_read_config_word" },
	{ 0xe60878d1, "pcie_flr" },
	{ 0xe3db0a0a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xed2da923, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x288aedbd, "dcbnl_ieee_notify" },
	{ 0x347187dd, "xsk_uses_need_wakeup" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0xa0757be7, "register_netdev" },
	{ 0xba37b8a8, "dev_mc_del" },
	{ 0x983130e1, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x2cd9aa20, "free_netdev" },
	{ 0x91772ff2, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "ED031F947060D3645D7697B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
