#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1df9ed92, "usbnet_status_stop" },
	{ 0x037a0cba, "kfree" },
	{ 0x90582c45, "skb_push" },
	{ 0xb45ebf05, "dev_kfree_skb_any_reason" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xc8b6b355, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcb72c10a, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2b072e80, "skb_pull" },
	{ 0xc75baa15, "skb_clone" },
	{ 0xd7ce54d8, "skb_trim" },
	{ 0x0f219091, "usbnet_skb_return" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcf8095ec, "usbnet_get_endpoints" },
	{ 0x1124255c, "dev_addr_mod" },
	{ 0x2fc47853, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53b11503, "usbnet_read_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x7e30f04f, "usbnet_disconnect" },
	{ 0xb8081caf, "usbnet_suspend" },
	{ 0x9591747e, "usbnet_resume" },
	{ 0x99d5859e, "usbnet_get_msglevel" },
	{ 0x36882a8a, "usbnet_set_msglevel" },
	{ 0x6dc7d108, "usbnet_nway_reset" },
	{ 0xe9d44082, "usbnet_get_link_ksettings_mii" },
	{ 0x74460e94, "usbnet_set_link_ksettings_mii" },
	{ 0x6ca9b3fc, "usbnet_open" },
	{ 0xabb05fc5, "usbnet_stop" },
	{ 0x2107a1a5, "usbnet_start_xmit" },
	{ 0xfa5297d1, "eth_mac_addr" },
	{ 0x1dd07643, "eth_validate_addr" },
	{ 0x6b3dc55a, "usbnet_change_mtu" },
	{ 0x855cedda, "usbnet_tx_timeout" },
	{ 0x0535c06f, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf5adf6f, "usbnet_get_drvinfo" },
	{ 0xb0a3a944, "usb_register_driver" },
	{ 0x51dd82a7, "usb_deregister" },
	{ 0x5644f264, "usbnet_write_cmd" },
	{ 0x86b37de2, "netdev_err" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe5069fb2, "usbnet_probe" },
	{ 0xb31c8a85, "usbnet_status_start" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "C0A7FD7DD432C3AA910A4EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
