#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x2764d458, "rt2x00usb_disable_radio" },
	{ 0x38e9d606, "rt2x00usb_disconnect" },
	{ 0xdae3eb27, "rt2x00usb_suspend" },
	{ 0x56b35df1, "rt2x00usb_resume" },
	{ 0x953114ea, "rt2x00usb_initialize" },
	{ 0x3beb5b8b, "rt2x00usb_uninitialize" },
	{ 0xc89fb972, "rt2x00usb_clear_entry" },
	{ 0xba89aa24, "rt2x00usb_watchdog" },
	{ 0x089403fa, "rt2x00usb_kick_queue" },
	{ 0x24121376, "rt2x00usb_flush_queue" },
	{ 0x139e557f, "rt2x00mac_tx" },
	{ 0x1e8a8484, "rt2x00mac_start" },
	{ 0x6b179a32, "rt2x00mac_stop" },
	{ 0x3aaf915f, "rt2x00mac_add_interface" },
	{ 0xd3ee6487, "rt2x00mac_remove_interface" },
	{ 0xb7eaa325, "rt2x00mac_config" },
	{ 0xf2be6967, "rt2x00mac_bss_info_changed" },
	{ 0x7dbc038e, "rt2x00mac_configure_filter" },
	{ 0x7b2fa910, "rt2x00mac_set_tim" },
	{ 0xa2b2fbef, "rt2x00mac_set_key" },
	{ 0xb0fd761b, "rt2x00mac_sw_scan_start" },
	{ 0x1640ef6e, "rt2x00mac_sw_scan_complete" },
	{ 0x0a452608, "rt2x00mac_get_stats" },
	{ 0x14786458, "rt2x00mac_conf_tx" },
	{ 0x7e7a69dc, "rt2x00mac_rfkill_poll" },
	{ 0x91d9e79d, "rt2x00mac_flush" },
	{ 0x24a182e2, "rt2x00mac_set_antenna" },
	{ 0x19c99638, "rt2x00mac_get_antenna" },
	{ 0x4b47b420, "rt2x00mac_get_ringparam" },
	{ 0x5f109f13, "rt2x00mac_tx_frames_pending" },
	{ 0x962e9f5a, "ieee80211_emulate_add_chanctx" },
	{ 0x23d3d382, "ieee80211_emulate_remove_chanctx" },
	{ 0x6084496e, "ieee80211_emulate_change_chanctx" },
	{ 0xa85f8f20, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1375a3b5, "ieee80211_handle_wake_tx_queue" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0a3a944, "usb_register_driver" },
	{ 0x06e8f669, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd7ce54d8, "skb_trim" },
	{ 0xcf24f0f4, "consume_skb" },
	{ 0x1e1b6563, "usb_submit_urb" },
	{ 0x51dd82a7, "usb_deregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0c7b19bd, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7699d8f9, "rt2x00usb_vendor_request_buff" },
	{ 0xebdafdf4, "rt2x00usb_vendor_request" },
	{ 0xfd8aebf4, "rt2x00lib_set_mac_address" },
	{ 0x466add5e, "_dev_info" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x90582c45, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
