#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x2c911202, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x05d7a5fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xffccca1e, "nd_btt_arena_is_valid" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x64379f2e, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0c303919, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0xb42f8c34, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3fd1c555, "debugfs_create_x64" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xd433d801, "nd_dev_to_uuid" },
	{ 0x466add5e, "_dev_info" },
	{ 0x1a849195, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x109fdb23, "bio_endio" },
	{ 0xf031e8d6, "nd_region_release_lane" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x72c5e759, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb92e7969, "debugfs_remove" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa6fa2eb7, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xf1d5cda7, "to_nd_btt" },
	{ 0x9a5f2783, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53883965, "debugfs_create_u32" },
	{ 0x0c2d3fec, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x296be0d1, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcdf743bc, "nvdimm_namespace_capacity" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0755359, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x000e3dcf, "badblocks_check" },
	{ 0x00d25a08, "nd_btt_version" },
	{ 0x0d9ea021, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0a16fbfe, "bio_integrity_prep" },
	{ 0x6cc6d2d8, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0e0cb816, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72504d59, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfd6d7624, "debugfs_create_u16" },
	{ 0x03d2a6e1, "to_nd_region" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "B14EEE3169769A63869E2CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
