#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xcdb18fff, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x2878434d, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x8a9c5dae, "");
SYMBOL_CRC(usb_serial_resume, 0xa5bd7d7f, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x03608f43, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x2101b11e, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x885e471d, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x82216ae5, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x9b438f92, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x6326295d, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xbc4440c4, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xe6254929, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xf5ea133a, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xed33a652, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x10fe2b7b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xd5c2addc, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x76721b11, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xec40a745, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x45ba76b5, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xd6729319, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xdf0614e3, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xf97c70f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d0ef83a, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x00ea9689, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x4df40631, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x28dfe74c, "put_device" },
	{ 0xb9bd989f, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1e1b6563, "usb_submit_urb" },
	{ 0x466add5e, "_dev_info" },
	{ 0x307e9c59, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb54871ec, "module_put" },
	{ 0xea5a8131, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x05f6b192, "usb_match_id" },
	{ 0x01d238f3, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb644e359, "bus_unregister" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xec6762b4, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa2567e08, "tty_ldisc_ref" },
	{ 0x6d3d55ba, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf4dc963f, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecd67120, "tty_port_destroy" },
	{ 0xfc7714dd, "tty_port_init" },
	{ 0x87cfde17, "usb_driver_claim_interface" },
	{ 0xad31c6d6, "seq_putc" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x66222515, "usb_poison_urb" },
	{ 0x27ae19b1, "usb_unpoison_urb" },
	{ 0x770cd3d4, "driver_unregister" },
	{ 0xcb996fc0, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1c470b8e, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x51dd82a7, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7d897919, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x98082efb, "tty_port_close" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa1f8b681, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe1e0a997, "tty_register_driver" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6200ea15, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x82bb6cd3, "usb_kill_urb" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x4d65a869, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe97342ac, "seq_printf" },
	{ 0x44ceef45, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6bc6f773, "driver_register" },
	{ 0x351ea86c, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xcd5b8d40, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14c26a19, "tty_port_tty_get" },
	{ 0x233492bb, "usb_put_intf" },
	{ 0x528a16b8, "usb_alloc_urb" },
	{ 0xb7f47f31, "usb_autopm_put_interface" },
	{ 0x02ac3ee5, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae2486a4, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa66a4b46, "dev_set_name" },
	{ 0x570872d4, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x7a4197a3, "tty_flip_buffer_push" },
	{ 0x0a312aa3, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3b17fa9c, "tty_kref_put" },
	{ 0xb0a3a944, "usb_register_driver" },
	{ 0x48b51750, "usb_match_one_id" },
	{ 0xcaa6b187, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0bd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x1943f2cf, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8484ae2d, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0x9b568cd8, "tty_hangup" },
	{ 0x40d4fd82, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
