#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xa0a7f377, "");
SYMBOL_CRC(w1_remove_master_device, 0xd52da6d6, "");
SYMBOL_CRC(w1_register_family, 0x043a8fef, "");
SYMBOL_CRC(w1_unregister_family, 0x95c5f0f0, "");
SYMBOL_CRC(w1_touch_bit, 0x4a5c07aa, "_gpl");
SYMBOL_CRC(w1_write_8, 0x4cac57c9, "_gpl");
SYMBOL_CRC(w1_triplet, 0xe6ff001b, "_gpl");
SYMBOL_CRC(w1_read_8, 0xbe0cbb7a, "_gpl");
SYMBOL_CRC(w1_write_block, 0x6b6094eb, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xd09183ea, "_gpl");
SYMBOL_CRC(w1_read_block, 0x052816cf, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x54800836, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x4b9c1d38, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xf79adbb7, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x710259fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8beda5fe, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x733c2b99, "cn_netlink_send_mult" },
	{ 0x28dfe74c, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x466add5e, "_dev_info" },
	{ 0x808d94d2, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xb644e359, "bus_unregister" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x19d91937, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x770cd3d4, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xda77e198, "sysfs_create_group" },
	{ 0x0771dc13, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x55fdea7a, "device_register" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x07483e13, "cn_del_callback" },
	{ 0xf7d1b8c4, "kthread_create_on_node" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0xde3525bc, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x7e8cdc63, "kobject_uevent" },
	{ 0x9b56e3c5, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2a457d55, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6bc6f773, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x998ee9b3, "cn_add_callback" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd5b8d40, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa66a4b46, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe66ee2f4, "device_unregister" },
	{ 0x5a90067d, "sysfs_remove_groups" },
	{ 0x5290dab3, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6727678, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C9D8282B218737CDCF3452");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
