#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x85ec6f4f, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x5559c5ab, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x7f686afa, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xc9472609, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xf8065e39, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x9e80bc97, "");
SYMBOL_CRC(p9_show_client_options, 0x2637cd7a, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x511376ef, "");
SYMBOL_CRC(p9_req_put, 0x75276e67, "");
SYMBOL_CRC(p9_client_cb, 0xfe6a5838, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xd3d98c64, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xea52c3ad, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xc3c0e1e8, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xb755ab44, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xffb9760e, "");
SYMBOL_CRC(p9_client_create, 0x9a78abff, "");
SYMBOL_CRC(p9_client_destroy, 0x631fa649, "");
SYMBOL_CRC(p9_client_disconnect, 0x3e125452, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x8ab8dcac, "");
SYMBOL_CRC(p9_client_attach, 0x1ae50949, "");
SYMBOL_CRC(p9_client_walk, 0x58a27ce4, "");
SYMBOL_CRC(p9_client_open, 0x4f62c195, "");
SYMBOL_CRC(p9_client_create_dotl, 0xe5bf69f1, "");
SYMBOL_CRC(p9_client_fcreate, 0xfd9cd52c, "");
SYMBOL_CRC(p9_client_symlink, 0x8b74c8e6, "");
SYMBOL_CRC(p9_client_link, 0xf77c8c11, "");
SYMBOL_CRC(p9_client_fsync, 0xd1e999e6, "");
SYMBOL_CRC(p9_client_clunk, 0xd537c6fb, "");
SYMBOL_CRC(p9_client_remove, 0xed66fb68, "");
SYMBOL_CRC(p9_client_unlinkat, 0xb099bc28, "");
SYMBOL_CRC(p9_client_read, 0xe66d4f82, "");
SYMBOL_CRC(p9_client_read_once, 0x2b280802, "");
SYMBOL_CRC(p9_client_write, 0x781e88f4, "");
SYMBOL_CRC(p9_client_write_subreq, 0xe145b575, "");
SYMBOL_CRC(p9_client_stat, 0x2107319b, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x7dae1c8a, "");
SYMBOL_CRC(p9_client_wstat, 0x91db95d4, "");
SYMBOL_CRC(p9_client_setattr, 0x5647b32f, "");
SYMBOL_CRC(p9_client_statfs, 0xe2a769f3, "");
SYMBOL_CRC(p9_client_rename, 0x49307065, "");
SYMBOL_CRC(p9_client_renameat, 0x65cebf02, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xbbd2b85f, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xf418076b, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x016918c8, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xe2294727, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x4a7a031b, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xb2158b3b, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x49da3852, "");
SYMBOL_CRC(p9_client_readlink, 0x669ae0d5, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xd7a00c17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa93b7501, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf1f4d539, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef8c5482, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7a0dc6e4, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb54871ec, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xe4255831, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x351c64b9, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x909baaf1, "from_kgid" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x983130e1, "trace_event_reg" },
	{ 0xe72198b6, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9dd14a38, "from_kuid" },
	{ 0xb3575d21, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b5b0f91, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6df4115c, "make_kgid" },
	{ 0xfd30a3c9, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x4ba4f5a9, "bpf_trace_run3" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xf5f8aff5, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa4556ab6, "init_user_ns" },
	{ 0x6200ea15, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x35c552ce, "__folio_put" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe97342ac, "seq_printf" },
	{ 0x99f8d77a, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0x0c44ac86, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x642fb018, "kmem_cache_destroy" },
	{ 0x02ac3ee5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1df72698, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe6860dd0, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x8f876724, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x211eb3b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaf92e495, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "7B5ECB0FE4A00D2B9155A5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
