#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xe9d76e87, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x52790799, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x77db7377, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7791fdf8, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6c30c104, "cs35l56_get_calibration" },
	{ 0x7b38ece7, "__pm_runtime_set_status" },
	{ 0x2406d16a, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37153fbc, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc240efb, "device_property_read_u32_array" },
	{ 0x466add5e, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb1ff2697, "cs35l56_init_cs_dsp" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbade4c3a, "cs_dsp_halo_init" },
	{ 0x4837ed6d, "cs_dsp_power_down" },
	{ 0xb92e7969, "debugfs_remove" },
	{ 0x056ce3b0, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4bcc9659, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a8c4f10, "cs35l56_mbox_send" },
	{ 0x4391f5e5, "cs35l56_hw_init" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0xc00a9abc, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d33a412, "cs_dsp_power_up" },
	{ 0x3f9d24a2, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2659fe8, "cs35l56_wait_for_firmware_boot" },
	{ 0x9f11282d, "devm_kasprintf" },
	{ 0xad74da1a, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x3ce5794b, "cs35l56_is_fw_reload_needed" },
	{ 0x68048cc3, "regmap_read" },
	{ 0xc8c683cf, "cs_dsp_run" },
	{ 0x36138705, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcc14874c, "cs_amp_write_cal_coeffs" },
	{ 0xcd8eb738, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x6c75fe3a, "cs35l56_runtime_resume_common" },
	{ 0x926fdc28, "regmap_update_bits_base" },
	{ 0xc1a167b7, "dev_err_probe" },
	{ 0xba957e74, "regmap_multi_reg_write" },
	{ 0xa2fbe75c, "__pm_runtime_suspend" },
	{ 0x23ac139a, "component_add" },
	{ 0x88d95e18, "set_primary_fwnode" },
	{ 0xdb109842, "__pm_runtime_use_autosuspend" },
	{ 0x7694627e, "devm_gpiod_get_index_optional" },
	{ 0x76f50545, "__pm_runtime_disable" },
	{ 0x0d9ea021, "debugfs_create_dir" },
	{ 0x8d29c864, "cs35l56_firmware_shutdown" },
	{ 0x53bbd769, "pm_runtime_force_suspend" },
	{ 0xfdc71297, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0fb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc58d5567, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9bd27fec, "regcache_cache_only" },
	{ 0xf4599774, "is_acpi_device_node" },
	{ 0x08a6198a, "regcache_sync" },
	{ 0x41845dc8, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x57f6ac73, "firmware_request_nowarn" },
	{ 0x1093620e, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x59eec474, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ef1e042, "cs_dsp_stop" },
	{ 0x08a277ad, "pm_runtime_set_autosuspend_delay" },
	{ 0xb5720835, "gpiod_set_value_cansleep" },
	{ 0x9bce5135, "component_del" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8f39f322, "sound_debugfs_root" },
	{ 0x0993b34d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5f889131, "cs_dsp_init_debugfs" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "5410931BFB167AA048F1A3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
