#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x79616b0a, "");
SYMBOL_CRC(cl_dsp_init, 0x98b559f3, "");
SYMBOL_CRC(hda_cl_trigger, 0x6a690936, "");
SYMBOL_CRC(hda_cl_cleanup, 0x27ed83f4, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0xaf827f19, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x0622e443, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0xb0e9a2c7, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xf8c828e6, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x74576fff, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x265b4441, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xb48f5e41, "");
SYMBOL_CRC(hda_dsp_stream_free, 0x9462a118, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0xc4de364c, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xb1f5e545, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0xaf0fe315, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x2b280af1, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x06ce363e, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x1af7e799, "");
SYMBOL_CRC(hda_get_interface_mask, 0x889d78a8, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xe4b01c06, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x97d5c568, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0xb3c18615, "");
SYMBOL_CRC(hda_dsp_core_run, 0x170fd780, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0xde2d7279, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x8c6fb3af, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x94d315a1, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x84186ad1, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x372e372b, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0xa2c6b478, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x0d6944b3, "");
SYMBOL_CRC(hda_dsp_resume, 0x4cde3fd9, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0xe905b491, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x64fdb15d, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x7ca89774, "");
SYMBOL_CRC(hda_dsp_suspend, 0xf8a95479, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xd8666fb1, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x08b90abd, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x8f667036, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0xc6469b80, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0xc2f52727, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x2a4b5677, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x40cdf4dd, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xef1c0236, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xee510669, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x618db13a, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x27b9a3ef, "");
SYMBOL_CRC(hda_dsp_get_state, 0x1d7b9cc3, "");
SYMBOL_CRC(hda_dsp_dump, 0xd19832c9, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x8e08803e, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0xf10e4b78, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x5859ce3a, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x3118800d, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x5481555f, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xb6f56cad, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x1d47e557, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x01da4fca, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xee2ae7d0, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x0e9f172b, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x4836b214, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x03bc1cd7, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0xd7dc9b5c, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x8a1e2ba4, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x3fea71ef, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x19c85ced, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xfb9cad5a, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xd74bcc32, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0xa71974d3, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xad58646a, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xe00b75f5, "");
SYMBOL_CRC(hda_ipc_dump, 0x92875250, "");
SYMBOL_CRC(hda_ipc4_dump, 0xa4bf1921, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x4e806b8c, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0xfdb960df, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x3b0c8bd6, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xb1805d18, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x6c52fb34, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x18c01694, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xadb16457, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x31682e24, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x9fb86e63, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0xaee38266, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x2bd7df5b, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x01a67fe7, "");
SYMBOL_CRC(hda_dai_config, 0x22e96a0f, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x2cb7f080, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0xe73868a6, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x017a9f88, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0x32a6e63c, "");
SYMBOL_CRC(hda_ops_free, 0xea069fbe, "");
SYMBOL_CRC(skl_dai, 0x7fec6c40, "");
SYMBOL_CRC(sof_hda_bus_init, 0x5058472c, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x6b89535d, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x6afb4605, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x88890605, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x0f3150be, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x86e6c516, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x71695305, "");
SYMBOL_CRC(hda_probes_unregister, 0x11fce979, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f1845e0, "snd_sgbuf_get_addr" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x7db22fe3, "snd_sgbuf_get_chunk_size" },
	{ 0x3a6139a6, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef8c5482, "trace_event_buffer_commit" },
	{ 0x00548409, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15dca63b, "hda_codec_resume_cmd_io" },
	{ 0x8e546e89, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x864f9e85, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68b9979e, "snd_hdac_ext_stream_clear" },
	{ 0xc6f6db03, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x466add5e, "_dev_info" },
	{ 0xe14921b4, "snd_hdac_ext_bus_link_power" },
	{ 0x21dfb181, "snd_sof_dsp_dbg_dump" },
	{ 0xbdaa2e64, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc3ad0d79, "sof_mailbox_read" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xe4255831, "perf_trace_run_bpf_submit" },
	{ 0x451b7497, "devm_kfree" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x3b588dbb, "snd_sof_dsp_update_bits_forced" },
	{ 0x6bb7ea32, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8f974e03, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x438cf9f3, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x983130e1, "trace_event_reg" },
	{ 0x70ff0d53, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8e1ca3f7, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x902873a8, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xfe38980f, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x766ed4c6, "hda_bus_ml_reset_losidv" },
	{ 0x24620931, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf6ba5196, "snd_sof_ipc_get_reply" },
	{ 0xc569ac78, "snd_sof_dsp_update_bits" },
	{ 0xb60f7681, "pci_restore_state" },
	{ 0xfb0061b9, "snd_sof_pci_update_bits" },
	{ 0x608fe7d1, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xe81578cd, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x3be28dbe, "snd_hdac_display_power" },
	{ 0x82e9150a, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x432e6ed6, "snd_pcm_hw_constraint_integer" },
	{ 0x4ba4f5a9, "bpf_trace_run3" },
	{ 0x7e45a887, "hda_codec_rirb_status_clear" },
	{ 0x6a427d2e, "hda_codec_suspend_cmd_io" },
	{ 0x974e1854, "snd_sof_ipc_reply" },
	{ 0x5e640a78, "hda_codec_init_cmd_io" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x3a39413f, "hda_codec_stop_cmd_io" },
	{ 0x8b105a94, "hda_codec_detect_mask" },
	{ 0xf5f8aff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ccd5e81, "sof_ipc_tx_message" },
	{ 0x8f87a2b5, "snd_sof_dsp_panic" },
	{ 0xabd0cdc4, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xaaa551a6, "snd_sof_suspend" },
	{ 0xec987b0b, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x418a5e99, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x2a457d55, "param_ops_int" },
	{ 0x07617823, "intel_nhlt_init" },
	{ 0x517ad043, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x154072d2, "sof_client_dev_unregister" },
	{ 0xa998079b, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd497d6c8, "snd_hdac_ext_stream_reset" },
	{ 0x8ec11ac0, "hdac_bus_eml_get_count" },
	{ 0x00742845, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xa8ce8799, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5121ca99, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x005d4c0e, "hda_codec_jack_check" },
	{ 0x632be442, "hda_bus_ml_suspend" },
	{ 0xdfbde9f4, "pci_save_state" },
	{ 0x93d6682a, "sof_block_read" },
	{ 0x5b6932df, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe6860dd0, "bpf_trace_run4" },
	{ 0x01fcda0c, "snd_dma_alloc_dir_pages" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x5913905d, "snd_hdac_bus_send_cmd" },
	{ 0x265179fb, "hda_bus_ml_resume" },
	{ 0xd4f1f84a, "snd_hdac_bus_get_response" },
	{ 0xa5197b95, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f876724, "trace_raw_output_prep" },
	{ 0xd3b379a3, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xde40fe3d, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x211eb3b0, "__trace_trigger_soft_disabled" },
	{ 0xd74e720c, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xaf92e495, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x0b3f7a2d, "snd_pcm_hw_constraint_minmax" },
	{ 0x2a7d20cb, "hda_codec_jack_wake_enable" },
	{ 0xa93b7501, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfef793ba, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x4fd43772, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1f4d539, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "0C23107D9222C7549AF7BAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
