#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x5ce08a54, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xecd962b4, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x982d6790, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xb52dac17, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x3694f811, "_gpl");
SYMBOL_CRC(line6_read_data, 0x07c0d4fe, "_gpl");
SYMBOL_CRC(line6_write_data, 0xd4e06b04, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x6300d3d1, "_gpl");
SYMBOL_CRC(line6_probe, 0xe858ca93, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x073606e5, "_gpl");
SYMBOL_CRC(line6_suspend, 0x264d3054, "_gpl");
SYMBOL_CRC(line6_resume, 0xb9bd96dc, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xf3faae9f, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x3ea5daf5, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xcf9a1dc1, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x05a1e74d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37b49da6, "snd_card_new" },
	{ 0x4815b0d0, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xbdbef3a0, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x786e52b7, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x18452349, "snd_card_free_when_closed" },
	{ 0x03e2a9dd, "usb_set_interface" },
	{ 0xe79d9b27, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x826c1d08, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xb784aaef, "snd_rawmidi_new" },
	{ 0x0475b7ef, "snd_card_disconnect" },
	{ 0xb31a2340, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a8def23, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x82bb6cd3, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaab34057, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x528a16b8, "usb_alloc_urb" },
	{ 0x5e385726, "snd_rawmidi_receive" },
	{ 0xae2486a4, "usb_free_urb" },
	{ 0xdf1ba2a2, "usb_control_msg_send" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1093620e, "snd_ctl_add" },
	{ 0x306788f9, "snd_pcm_new" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xe59e65ae, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc0f7085, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x2406d16a, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x4df40631, "usb_put_dev" },
	{ 0x77cc3f2f, "usb_bulk_msg" },
	{ 0x8beda5fe, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ce67246, "snd_rawmidi_transmit_ack" },
	{ 0xb9bd989f, "usb_get_dev" },
	{ 0x1e1b6563, "usb_submit_urb" },
	{ 0x466add5e, "_dev_info" },
	{ 0x41a2cad5, "snd_pcm_hw_constraint_ratdens" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "snd,usbcore,snd-hwdep,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
