#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x05a483d6, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x78c60242, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x8eea0e67, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x23386087, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x75123ac9, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0xb2558511, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xb60fdaf7, "_gpl");
SYMBOL_CRC(idxd_drv, 0xfe7699c1, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x6c0212f5, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x6d44823f, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x4a985fb4, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0xa0165289, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x8f6ec7e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaa6ad1cd, "pci_iounmap" },
	{ 0xb60f7681, "pci_restore_state" },
	{ 0x7d897919, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xbb17a2be, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0x91500079, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfb065eae, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x206bb2e8, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b5b0f91, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x86f8484a, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfd30a3c9, "__kmem_cache_create_args" },
	{ 0x81378218, "pci_reset_function" },
	{ 0x7d49f80e, "iommu_attach_device_pasid" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x907cd046, "free_percpu" },
	{ 0xfb3f76f9, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x7afca555, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x3c30ab07, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3cc5c2d0, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcbf1fbcd, "dma_async_device_channel_register" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xbf632595, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe97342ac, "seq_printf" },
	{ 0xad98373b, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xa13c1777, "debugfs_create_file_full" },
	{ 0x56997e82, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x76de65b9, "single_release" },
	{ 0x307960c7, "dma_set_mask" },
	{ 0xb2e453b8, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xdd4f680c, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xac295def, "__vma_start_write" },
	{ 0xafb3e1f7, "single_open" },
	{ 0x0d9ea021, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9d9084b5, "__sbitmap_queue_get" },
	{ 0x4fcc60fd, "pci_free_irq_vectors" },
	{ 0xe377f060, "idxd_driver_unregister" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xcd22a68b, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x642fb018, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdfbde9f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcb3c5de5, "pci_msix_vec_count" },
	{ 0xa6092395, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xa66a4b46, "dev_set_name" },
	{ 0x63d2963d, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe883d16b, "dma_async_device_unregister" },
	{ 0x60819c3c, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab16e3dd, "__iowrite64_lo_hi" },
	{ 0x32265bf6, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x6fce4108, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x00cd7ca6, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe66ee2f4, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbf165980, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5d552f1e, "__pci_register_driver" },
	{ 0x76961eee, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xcaa6b187, "device_initialize" },
	{ 0x95080681, "dsa_bus_type" },
	{ 0x24f595a7, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4ae2d6e, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xc49e1b4d, "seq_lseek" },
	{ 0xbc8de690, "iommu_sva_bind_device" },
	{ 0x693cb763, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ea7122e, "pci_irq_vector" },
	{ 0x399b3274, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xcd5466b1, "pci_unregister_driver" },
	{ 0x88032949, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x04d5faea, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x06ae980d, "sbitmap_prepare_to_wait" },
	{ 0xc4bbb234, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28dfe74c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xdd42c4d4, "iommu_dev_enable_feature" },
	{ 0x466add5e, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6d927836, "__idxd_driver_register" },
	{ 0x7852f15d, "iommu_get_domain_for_dev" },
	{ 0xe3ca93e3, "perf_pmu_register" },
	{ 0x3f7914ec, "__ioread64_lo_hi" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x523fca98, "bus_find_device" },
	{ 0xec6762b4, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x351c64b9, "kmem_cache_free" },
	{ 0xa9570002, "dma_alloc_attrs" },
	{ 0xb92e7969, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x35a57054, "dma_async_device_channel_unregister" },
	{ 0xad31c6d6, "seq_putc" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x67983052, "iommu_sva_unbind_device" },
	{ 0x26a48ea6, "sbitmap_queue_clear" },
	{ 0xffb7c514, "ida_free" },
	{ 0x51f0ac5d, "iommu_alloc_global_pasid" },
	{ 0x718ab99a, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000B02Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B51EFBC3624F1C0D8E0FC68");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
