#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x67fe792c, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x2891057f, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x4abb127f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91612b1d, "drm_mode_duplicate" },
	{ 0xbd57465d, "drm_mode_probed_add" },
	{ 0x804cd9eb, "drm_set_preferred_mode" },
	{ 0x0796914c, "pwm_put" },
	{ 0x98553c93, "regulator_disable" },
	{ 0x5cda58dc, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xc9012fd3, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x449ebfe2, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x211cdbb2, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x7554a831, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x9f35ad19, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x895979d2, "drm_atomic_helper_check_plane_state" },
	{ 0x5d9c8c0d, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xf0d80e02, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xda88f117, "drm_dev_unplug" },
	{ 0x7ab77d0f, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x57b73cff, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xeb262cea, "drm_gem_fb_begin_cpu_access" },
	{ 0x7a052302, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x9a843ca6, "drm_gem_fb_end_cpu_access" },
	{ 0x9ab2c4b0, "drm_fb_xrgb8888_to_gray8" },
	{ 0x0c303919, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e50659, "drm_fb_xrgb8888_to_mono" },
	{ 0xb5720835, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59a7e9cb, "regulator_enable" },
	{ 0x0a6354a2, "pwm_get" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xd609c573, "__drm_atomic_helper_crtc_reset" },
	{ 0x7722f417, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0xd4ce1f04, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xa88016a8, "drm_gem_shmem_dumb_create" },
	{ 0xf437d517, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0xe9686bd4, "noop_llseek" },
	{ 0x022c54bf, "drm_read" },
	{ 0x6e970b68, "drm_poll" },
	{ 0x4d1a1880, "drm_ioctl" },
	{ 0x75ab0392, "drm_compat_ioctl" },
	{ 0xb28bc606, "drm_gem_mmap" },
	{ 0x65f1e399, "drm_open" },
	{ 0xba730163, "drm_release" },
	{ 0xd41165cf, "drm_gem_fb_create_with_dirty" },
	{ 0x82f7407a, "drm_atomic_helper_check" },
	{ 0x98cc5a37, "drm_atomic_helper_commit" },
	{ 0xeec6dbb9, "drm_atomic_helper_connector_reset" },
	{ 0xd502586a, "drm_helper_probe_single_connector_modes" },
	{ 0x0e1f92b2, "drm_connector_cleanup" },
	{ 0x707c9018, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9df1b2ca, "drm_atomic_helper_connector_destroy_state" },
	{ 0x0dde6578, "drm_encoder_cleanup" },
	{ 0xeab7fb2c, "drm_crtc_cleanup" },
	{ 0x22c21bda, "drm_atomic_helper_set_config" },
	{ 0xe57ea15e, "drm_atomic_helper_page_flip" },
	{ 0x631daf3b, "drm_atomic_helper_update_plane" },
	{ 0xa1d08b1d, "drm_atomic_helper_disable_plane" },
	{ 0x7f6dab17, "drm_plane_cleanup" },
	{ 0xc59af5ee, "drm_gem_begin_shadow_fb_access" },
	{ 0x1d9a0a3c, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x41845dc8, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x081ff1ec, "__devm_drm_dev_alloc" },
	{ 0xeced8e63, "device_get_match_data" },
	{ 0xcc240efb, "device_property_read_u32_array" },
	{ 0x45cfbf30, "device_property_read_u8_array" },
	{ 0xdc24623c, "device_property_read_bool" },
	{ 0x7805a8e8, "devm_gpiod_get_optional" },
	{ 0x3614dba7, "devm_regulator_get" },
	{ 0x95e2a383, "devm_backlight_device_register" },
	{ 0xd4429b01, "drmm_mode_config_init" },
	{ 0x8f36c609, "drm_universal_plane_init" },
	{ 0xef517cc1, "drm_plane_enable_fb_damage_clips" },
	{ 0x6679b8da, "drm_crtc_init_with_planes" },
	{ 0xf257d07d, "drm_encoder_init" },
	{ 0xd89fb96f, "drm_connector_init" },
	{ 0xfb7a06b1, "drm_connector_attach_encoder" },
	{ 0x0d5b6f9a, "drm_mode_config_reset" },
	{ 0x5feaeecd, "drm_dev_register" },
	{ 0x1fc76491, "drm_client_setup" },
	{ 0xc1a167b7, "dev_err_probe" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD3F77949585897F0FD92BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
