#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f4fee29, "i2c_client_get_device_id" },
	{ 0xad91e3b7, "devm_iio_device_alloc" },
	{ 0x1199099a, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x42042c71, "devm_request_threaded_irq" },
	{ 0x6982278c, "iio_device_id" },
	{ 0xd09b7710, "__devm_iio_trigger_alloc" },
	{ 0x62f261bb, "iio_trigger_register" },
	{ 0x399b3274, "get_device" },
	{ 0x8246429b, "__module_get" },
	{ 0xc1a167b7, "dev_err_probe" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xc297257b, "iio_triggered_buffer_setup_ext" },
	{ 0x37153fbc, "pm_runtime_enable" },
	{ 0x08a277ad, "pm_runtime_set_autosuspend_delay" },
	{ 0xdb109842, "__pm_runtime_use_autosuspend" },
	{ 0xe94cdd71, "__iio_device_register" },
	{ 0x49db5021, "iio_read_acpi_mount_matrix" },
	{ 0x76349858, "iio_read_mount_matrix" },
	{ 0xf4599774, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x037a0cba, "kfree" },
	{ 0xd47c5d98, "iio_get_acpi_device_name_and_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99cab912, "iio_buffer_enabled" },
	{ 0x42c1a6fb, "i2c_smbus_read_word_data" },
	{ 0x161d3171, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x2a3139ec, "iio_push_to_buffers" },
	{ 0xea608761, "iio_trigger_notify_done" },
	{ 0x4ee3af3d, "iio_show_mount_matrix" },
	{ 0xf33bccb0, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x497b364b, "i2c_register_driver" },
	{ 0x7e6f7392, "i2c_smbus_read_byte_data" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0x897470f9, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xde1e11be, "iio_device_unregister" },
	{ 0x76f50545, "__pm_runtime_disable" },
	{ 0x7b38ece7, "__pm_runtime_set_status" },
	{ 0x98af887f, "iio_triggered_buffer_cleanup" },
	{ 0x96d5dffb, "iio_trigger_unregister" },
	{ 0x36138705, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa2fbe75c, "__pm_runtime_suspend" },
	{ 0xf017b198, "iio_push_event" },
	{ 0x0be7c01d, "iio_get_time_ns" },
	{ 0x9a8bc648, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2796a8e4, "i2c_del_driver" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:SMO8500:*");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");

MODULE_INFO(srcversion, "85D679FB78B6C8111046BDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
