#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x354d42c4, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x2ed23e9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc7813f5, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x50797083, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa9570002, "dma_alloc_attrs" },
	{ 0xb92e7969, "debugfs_remove" },
	{ 0x530612ed, "pci_read_config_word" },
	{ 0xe3db0a0a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xed2da923, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x288aedbd, "dcbnl_ieee_notify" },
	{ 0x347187dd, "xsk_uses_need_wakeup" },
	{ 0xa0757be7, "register_netdev" },
	{ 0x983130e1, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2cd9aa20, "free_netdev" },
	{ 0x91772ff2, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x16fcb80b, "ethtool_op_get_link" },
	{ 0x63a0d3e4, "eth_platform_get_mac_address" },
	{ 0xcc9ff729, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x200ead08, "__SCK__tp_func_xdp_exception" },
	{ 0xe6864f84, "netif_tx_stop_all_queues" },
	{ 0xb60f7681, "pci_restore_state" },
	{ 0xbb440b19, "netif_tx_wake_queue" },
	{ 0x7d897919, "device_del" },
	{ 0xf79ccc33, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x036ad1fa, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0xf1512c5b, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe6d994c7, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc270a37c, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xfb065eae, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x1760a37f, "flow_rule_match_ipv6_addrs" },
	{ 0xd2d9a0b5, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xff292d12, "ptp_clock_unregister" },
	{ 0x40f7d7ce, "__pskb_pull_tail" },
	{ 0x9b916d80, "xp_dma_unmap" },
	{ 0x15b90a36, "__netif_napi_del_locked" },
	{ 0x68374fd6, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e18439b, "netdev_unbind_sb_channel" },
	{ 0xfb3f76f9, "dma_set_coherent_mask" },
	{ 0x4ba4f5a9, "bpf_trace_run3" },
	{ 0x42ead16d, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf4576922, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9d2d06be, "netdev_bind_sb_channel_queue" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x5ed7f2e0, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc192907d, "netdev_reset_tc" },
	{ 0x172c9766, "gro_receive_skb" },
	{ 0x3c30ab07, "dma_free_attrs" },
	{ 0xf5f8aff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb440eb8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x471722de, "call_netdevice_notifiers" },
	{ 0x15ca8730, "xp_set_rxq_info" },
	{ 0x6d301280, "flow_rule_match_vlan" },
	{ 0xcabe9aeb, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3491dd71, "napi_build_skb" },
	{ 0x3a4bcfe6, "__xdp_rxq_info_reg" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2fc47853, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfefa87ed, "devlink_priv" },
	{ 0xb51ca9ae, "__hw_addr_sync_dev" },
	{ 0x8570474d, "devlink_port_register_with_ops" },
	{ 0x0bf99c0f, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x5dfad568, "netif_carrier_on" },
	{ 0x46549797, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xa13c1777, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xe39b7115, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x814040fa, "dev_uc_add_excl" },
	{ 0x56997e82, "pci_disable_device" },
	{ 0x0096263d, "xp_free" },
	{ 0x99335c91, "dev_mc_add_excl" },
	{ 0xada67f4d, "dev_uc_add" },
	{ 0x307960c7, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc6c8fa3f, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x353c9b06, "skb_add_rx_frag_netmem" },
	{ 0x3f5e2369, "xdp_master_redirect" },
	{ 0xcf7690aa, "__napi_schedule_irqoff" },
	{ 0xb0eebacd, "napi_schedule_prep" },
	{ 0x7a49936c, "napi_consume_skb" },
	{ 0x94ec8d07, "pci_read_config_byte" },
	{ 0xb273c4bb, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x7670fdc4, "napi_disable" },
	{ 0xb45ebf05, "dev_kfree_skb_any_reason" },
	{ 0xf3a02b24, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x0d9ea021, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd15fb4d7, "flow_rule_match_control" },
	{ 0xf94ea59e, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xfaed3294, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc64aed82, "ethtool_op_get_ts_info" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x2fcd2b0a, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa7ed79e0, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x93832f6e, "__tracepoint_xdp_exception" },
	{ 0xcf6d6e30, "xsk_tx_completed" },
	{ 0x884f5ea0, "napi_alloc_skb" },
	{ 0x8550f946, "alloc_etherdev_mqs" },
	{ 0xdfbde9f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xcbc297c8, "pcie_capability_read_word" },
	{ 0x47a01bd0, "device_set_wakeup_enable" },
	{ 0x1cb03316, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc86d4f07, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xece44f59, "pci_find_ext_capability" },
	{ 0xfbd82a33, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5329df1, "xp_dma_map" },
	{ 0x0ac8a984, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x16debfec, "skb_copy_bits" },
	{ 0x05e6d38f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf42dc9b0, "pci_request_selected_regions" },
	{ 0x7f3f0062, "pci_release_selected_regions" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x6ecad0b3, "pci_wake_from_d3" },
	{ 0xa6092395, "pci_enable_device" },
	{ 0x99e9f0f1, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcaf91254, "auxiliary_device_init" },
	{ 0xe4fac662, "pci_enable_device_mem" },
	{ 0xcf24f0f4, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca0fe6df, "xsk_tx_peek_release_desc_batch" },
	{ 0xcb42eff9, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f876724, "trace_raw_output_prep" },
	{ 0x7acdccf1, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbfffc438, "ndo_dflt_bridge_getlink" },
	{ 0x9dcbf8b7, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x69a5d0a5, "xdp_convert_zc_to_xdp_frame" },
	{ 0xff5f0600, "xdp_features_set_redirect_target" },
	{ 0x211eb3b0, "__trace_trigger_soft_disabled" },
	{ 0x195e5313, "pci_get_device" },
	{ 0x48d1c729, "dma_unmap_page_attrs" },
	{ 0x7861927c, "request_firmware" },
	{ 0xaf92e495, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x5d552f1e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf153ebd5, "pci_num_vf" },
	{ 0xeb5c0278, "flow_rule_match_eth_addrs" },
	{ 0xd60fd619, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1095f97a, "pci_disable_msi" },
	{ 0xdb556941, "ptp_clock_index" },
	{ 0xa93b7501, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x81992ea5, "devlink_alloc_ns" },
	{ 0x40e1c2b3, "devlink_register" },
	{ 0x311cff26, "xdp_do_redirect" },
	{ 0xceb2d05c, "devlink_free" },
	{ 0x1dd07643, "eth_validate_addr" },
	{ 0x97f6e673, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1f4d539, "bpf_trace_run2" },
	{ 0x3747ad58, "netdev_warn" },
	{ 0xd51db461, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0f83e90f, "pci_set_power_state" },
	{ 0x00148653, "vsnprintf" },
	{ 0xe20f15eb, "flow_rule_match_ipv4_addrs" },
	{ 0xf7d50ca6, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x71e22703, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcd5466b1, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x86b37de2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5db61537, "pskb_expand_head" },
	{ 0x0c303919, "dev_driver_string" },
	{ 0x663fd39c, "pci_restore_msi_state" },
	{ 0xef8c5482, "trace_event_buffer_commit" },
	{ 0x1124255c, "dev_addr_mod" },
	{ 0x9336c681, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x4e5b4a6c, "ptp_find_pin" },
	{ 0xf9bf0cde, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a90f58d, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xe52bcc2c, "napi_complete_done" },
	{ 0x21c9f2cd, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc0cbae68, "priv_to_devlink" },
	{ 0x70f74082, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28dfe74c, "put_device" },
	{ 0xa3b84c9d, "__napi_schedule" },
	{ 0xa3a69271, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2f69a687, "pci_enable_msix_range" },
	{ 0x019cba8e, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x39da6341, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a494a51, "__free_pages" },
	{ 0x57cfa41e, "__hw_addr_unsync_dev" },
	{ 0x466add5e, "_dev_info" },
	{ 0xbe092cce, "xdp_features_clear_redirect_target" },
	{ 0x34c4c954, "pci_select_bars" },
	{ 0xb21fa46a, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x68634458, "xp_raw_get_dma" },
	{ 0x3682407d, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x678bcdea, "xdp_rxq_info_is_reg" },
	{ 0x7c4caf7b, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf05ec724, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdbcba13a, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3a84c031, "pci_enable_msi" },
	{ 0xe4255831, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6ae508f1, "devlink_port_unregister" },
	{ 0x451b7497, "devm_kfree" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xd70004d3, "init_net" },
	{ 0x0e46aec3, "softnet_data" },
	{ 0x60a851be, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x244d0d0d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x17331c5e, "ptp_clock_register" },
	{ 0xd99e5efe, "ethtool_intersect_link_masks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2d4cf9f, "netif_set_real_num_tx_queues" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "174DA3B07A98289D92081FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
