#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_pm_notifier_unregister, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");
KSYMTAB_FUNC(ath11k_coredump_get_dump_type, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x3ec85098, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x9d6ec05a, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xfc2753d7, "");
SYMBOL_CRC(ath11k_core_resume, 0xf02f1776, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x6d559a30, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0x2fabac0d, "");
SYMBOL_CRC(ath11k_core_init, 0xd3d34440, "");
SYMBOL_CRC(ath11k_core_deinit, 0xed9619b7, "");
SYMBOL_CRC(ath11k_core_free, 0x275bd601, "");
SYMBOL_CRC(ath11k_core_alloc, 0x36ee8c94, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x8aca45ea, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x53659fc6, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x85de47aa, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xb55f8224, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x7f35ac65, "");
SYMBOL_CRC(ath11k_info, 0x21604719, "");
SYMBOL_CRC(ath11k_err, 0xf5eec37a, "");
SYMBOL_CRC(ath11k_warn, 0x3fe6516c, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x708df62e, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x90a1ecd2, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x1bcea4d5, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xe62795b4, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x9bd641af, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xb0cb3983, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x9764058e, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xd292c0d1, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x90df7762, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x7b69593f, "");
SYMBOL_CRC(ath11k_pcic_read, 0xde3de5aa, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x8cbde6a8, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xa94ea66e, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x8167a41f, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x09d66ec8, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x65e7d75c, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xeefdbd45, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xd632a7c7, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x68597846, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xaa167522, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x90df5590, "");
SYMBOL_CRC(ath11k_pcic_start, 0xe5326bfc, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xdc5a6bba, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x49cbef02, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x35758961, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x6c97deee, "");
SYMBOL_CRC(ath11k_fw_destroy, 0x7f3608c7, "");
SYMBOL_CRC(ath11k_coredump_get_dump_type, 0x3f81fc96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x94fe2368, "ieee80211_wake_queues" },
	{ 0x2cd9aa20, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4348c5a6, "qmi_txn_init" },
	{ 0x7f727669, "ieee80211_report_low_ack" },
	{ 0xefe9b70b, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfd8d0aac, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x56560f89, "ieee80211_free_txskb" },
	{ 0x4d42018e, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3617db47, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0eeef1d3, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x40f7f08b, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c77157d, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2d3924d4, "ieee80211_beacon_free_ema_list" },
	{ 0xde37942a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xbb5e6b3f, "ieee80211_ready_on_channel" },
	{ 0x15dcbd33, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7ce54d8, "skb_trim" },
	{ 0xa4090407, "qmi_handle_release" },
	{ 0x15b90a36, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x9fe164b5, "alloc_netdev_dummy" },
	{ 0x3c30ab07, "dma_free_attrs" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x8cf8d2e3, "ieee80211_scan_completed" },
	{ 0x4783e390, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x74655f2f, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xdb440eb8, "__dma_sync_single_for_device" },
	{ 0x5de5b82c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x91e8b795, "ieee80211_color_change_finish" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x135dbb4d, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x11fd75f3, "thermal_cooling_device_unregister" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb4dc678e, "ieee80211_queue_work" },
	{ 0xb0eebacd, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x7670fdc4, "napi_disable" },
	{ 0xb45ebf05, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x89091169, "regulatory_set_wiphy_regd" },
	{ 0x2c8d179b, "cfg80211_chandef_dfs_cac_time" },
	{ 0x32e91bf2, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7caaa8bf, "ieee80211_beacon_get_template_ema_list" },
	{ 0x8e6d1d9c, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xeb571962, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xe5530bb7, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa437b44a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x96e894a6, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x05689990, "ieee80211_gtk_rekey_notify" },
	{ 0x47a01bd0, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xebf220e2, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe59268e4, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x851c8bc0, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x05e6d38f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb873f261, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x57f6ac73, "firmware_request_nowarn" },
	{ 0x6d81fec6, "qmi_handle_init" },
	{ 0xcf24f0f4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8192f11, "device_get_mac_address" },
	{ 0x8b426c2f, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x33492ed4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x0eda356a, "ieee80211_free_hw" },
	{ 0x48d1c729, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xf01be302, "dma_free_pages" },
	{ 0x13b1f343, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x76961eee, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x626386af, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x751f13da, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x1013bd73, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa5ec053f, "thermal_cooling_device_register" },
	{ 0xdfeaeb7b, "ieee80211_register_hw" },
	{ 0x97f6e673, "netif_napi_add_weight_locked" },
	{ 0x2f7fa2ad, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xabf131f7, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x32e7385c, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5db61537, "pskb_expand_head" },
	{ 0x0c303919, "dev_driver_string" },
	{ 0x965e43fe, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe3d69d8, "ieee80211_find_sta" },
	{ 0x5a90f58d, "dma_map_page_attrs" },
	{ 0x0646fc4d, "qmi_send_request" },
	{ 0xe52bcc2c, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x1375a3b5, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x113ea30b, "ieee80211_tx_status_irqsafe" },
	{ 0x01d53cae, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x7a89d730, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa3b84c9d, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x414b4c1a, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0753137a, "qmi_txn_wait" },
	{ 0x466add5e, "_dev_info" },
	{ 0x52027729, "skb_queue_tail" },
	{ 0x0ed895ef, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1309740a, "sysfs_create_link" },
	{ 0x341e016f, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x698f6a32, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3a4efcc5, "__skb_get_hash_net" },
	{ 0xdbcba13a, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe797e37e, "ieee80211_queue_delayed_work" },
	{ 0x12d5d9d7, "_dev_err" },
	{ 0xf3dbc2f1, "crypto_shash_setkey" },
	{ 0x2b072e80, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfb556569, "qmi_txn_cancel" },
	{ 0x321acdea, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe2a6c319, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc90ae9d8, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa5d5a764, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90582c45, "skb_push" },
	{ 0xa9570002, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe3db0a0a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x71c4d862, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "5D37EDC7B1C74730B8109DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
