#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x22f10341, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xb0af082c, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xb64b9db9, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x11e82d94, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x0b06ec4f, "_gpl");
SYMBOL_CRC(br_forward, 0x7790bb55, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xb283f7cb, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x8181fed6, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x58165eb1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x1843beaa, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x6c1bcc14, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xedb76a21, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x11a51d60, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x554c32b9, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xe9c1011a, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x9673f429, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xc3ed3447, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x6f385aa3, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xcfd3c6b5, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xa296984f, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xe019c109, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xb1194fcd, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x850e1865, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x1419852f, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xf304f9a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0x3c55dd33, "kobject_create_and_add" },
	{ 0xd7ce54d8, "skb_trim" },
	{ 0x860b701d, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x68374fd6, "__dynamic_netdev_dbg" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc26f870, "__ip_mc_inc_group" },
	{ 0x28a1f140, "netdev_walk_all_upper_dev_rcu" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0xde3525bc, "sysfs_remove_group" },
	{ 0x0596c9d3, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d0d78de, "__tracepoint_fdb_delete" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x7f8d727a, "__netpoll_setup" },
	{ 0xaca4eaa9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x329f399f, "vlan_vid_add" },
	{ 0xd35e0d8b, "neigh_destroy" },
	{ 0x2cdb4c0a, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x71164d2f, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x722519ca, "__SCK__tp_func_br_fdb_update" },
	{ 0x471722de, "call_netdevice_notifiers" },
	{ 0x2fc926a8, "is_skb_forwardable" },
	{ 0x456ba2b9, "vlan_vid_del" },
	{ 0xf570b292, "dev_set_allmulti" },
	{ 0x21128511, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xc88a6d07, "netdev_master_upper_dev_get" },
	{ 0x16bce9d7, "ipv6_dev_mc_inc" },
	{ 0xcddd8ed6, "rtnl_notify" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2fc47853, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x53b4b6c7, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc75baa15, "skb_clone" },
	{ 0xabf7cac2, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x64c033e0, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xcc18f9dc, "dst_release" },
	{ 0x5dfad568, "netif_carrier_on" },
	{ 0x7e8cdc63, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd908e630, "arp_tbl" },
	{ 0x621d1e83, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6207c446, "netdev_rx_handler_register" },
	{ 0xada67f4d, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2f418c7, "netif_set_tso_max_size" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1a59ff1e, "dev_disable_lro" },
	{ 0x850d2da1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc98e53d8, "dev_get_flags" },
	{ 0x94c49db0, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0xb45ebf05, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xaee2b646, "netdev_notice" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x9029a0af, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x80774207, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x121db030, "skb_ext_add" },
	{ 0x5f6938f1, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8a19b5fc, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x2e26a505, "neigh_lookup" },
	{ 0x642fb018, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3c868111, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29968014, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1180af3b, "netdev_lower_get_next" },
	{ 0x51f63860, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfaeaf0ed, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x16debfec, "skb_copy_bits" },
	{ 0xe1fa2777, "__nlmsg_put" },
	{ 0xb600c641, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x54468abc, "ipv6_mc_check_mld" },
	{ 0xb873f261, "skb_put" },
	{ 0xc29cc573, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x759483ca, "call_switchdev_notifiers" },
	{ 0x00117ea9, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb88af81c, "netdev_update_features" },
	{ 0xcf24f0f4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38281590, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xee5f3252, "dev_uc_del" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x54c4c895, "netpoll_send_skb" },
	{ 0x32a017d5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4e9efa0f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x061227e2, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd687862, "switchdev_port_obj_act_is_deferred" },
	{ 0x9ec943c0, "dev_get_iflink" },
	{ 0x037a0cba, "kfree" },
	{ 0x380df65b, "dev_set_promiscuity" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x984c65c3, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0d7cabae, "netdev_state_change" },
	{ 0x74444d8a, "__pskb_copy_fclone" },
	{ 0x56eabdff, "__dev_get_by_name" },
	{ 0xa962b560, "ether_setup" },
	{ 0x86b37de2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5db61537, "pskb_expand_head" },
	{ 0xcd435f8c, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x850789e5, "brioctl_set" },
	{ 0x1124255c, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x1fb18746, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e5267ec, "alloc_netdev_mqs" },
	{ 0xe7e1748b, "passthru_features_check" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7c58bfda, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cca0419, "__SCK__tp_func_br_mdb_full" },
	{ 0x932d2908, "rtnl_af_register" },
	{ 0xbb8d847b, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xa95f917e, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47015b1a, "rtnl_set_sk_err" },
	{ 0xf4ebbdb8, "skb_vlan_pop" },
	{ 0x41a3b28e, "rtnl_unicast" },
	{ 0x1309740a, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8d016252, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2414ae64, "__ip_mc_dec_group" },
	{ 0xc1fda6c2, "vlan_dev_real_dev" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xda16fd74, "__dev_get_by_index" },
	{ 0x5c365cfa, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xb0200bbc, "dev_get_port_parent_id" },
	{ 0xd70004d3, "init_net" },
	{ 0x523fbb98, "ipv6_stub" },
	{ 0x3e692dc7, "inet_confirm_addr" },
	{ 0x2b072e80, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x321acdea, "sysfs_remove_link" },
	{ 0xf85cae57, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1cee07a6, "__SCK__tp_func_br_fdb_add" },
	{ 0x2ad241a3, "rtnl_af_unregister" },
	{ 0xe2a6c319, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbb3e3fcc, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8eab2eef, "dev_get_by_index_rcu" },
	{ 0xe34362a8, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x90582c45, "skb_push" },
	{ 0x351c64b9, "kmem_cache_free" },
	{ 0xac1ca1c8, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x95bcd46b, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x677b1086, "netdev_upper_dev_unlink" },
	{ 0xd2579ffa, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfd88d2b6, "llc_mac_hdr_init" },
	{ 0x0be5ce85, "__rtnl_register_many" },
	{ 0x2cd9aa20, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb2a01dd0, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1645b5bb, "kobject_init_and_add" },
	{ 0x3e0c3f08, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x191dbc64, "ns_capable" },
	{ 0x46d37219, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xda77e198, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x16fcb80b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x1314612e, "arp_create" },
	{ 0xdafc95da, "__ethtool_get_link_ksettings" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x30762b36, "stp_proto_register" },
	{ 0xc8567488, "__tracepoint_br_fdb_update" },
	{ 0xbae4e2fb, "sysfs_rename_link_ns" },
	{ 0x69fac030, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5b5b0f91, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x019557ca, "switchdev_port_obj_add" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x40f7d7ce, "__pskb_pull_tail" },
	{ 0x0535c06f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x78991a5f, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x2849ff06, "ip_mc_check_igmp" },
	{ 0xde37942a, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfd30a3c9, "__kmem_cache_create_args" },
	{ 0x8c0fe0e0, "switchdev_port_obj_del" },
	{ 0x5f4c7926, "netdev_master_upper_dev_link" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "FA39CABE96FFDD17ED19945");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
